Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.soap
Class XDSSoapClientAXIS2

    java.lang.Object
      org.eclipse.ohf.ihe.xds.soap.XDSSoapClientAXIS2

All Implemented Interfaces:
  XDSSoapClient

    public class XDSSoapClientAXIS2

extends java.lang.Object
implements XDSSoapClient

Implementation of the XDSSoapClient using Apache Axis 1.3
Please see resources/doc/README.txt for CRITICAL PROJECT NOTES.

Author:
  Sarah Knoop

Constructor Summary
`XDSSoapClientAXIS2()`

Method Summary
`byte[]` | `send(java.lang.String request, SoapAttachment[] attachments, java.net.URI uri)` Provides the implementation of the interface method using the AXIS 1.3 API implementation for SOAP.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDSSoapClientAXIS2

    public XDSSoapClientAXIS2()

Method Detail

### send

    public byte[] send(java.lang.String request,
                       SoapAttachment[] attachments,
                       java.net.URI uri)
                throws java.lang.Exception

  Provides the implementation of the interface method using the AXIS 1.3 API implementation for SOAP.

  Specified by:
    `send` in interface `XDSSoapClient`
  Parameters:
    `request` - is assumed to be a serialized XML document string to be set as the contents of the SOAPBody. For the Source this is the SubmitObjectRequest element used for metadata. For the Consumer this is the AdhocQueryRequest element. This parameter must not be null, an Exception should be thrown if this is the case.
    `attachments` - an array of `SoapAttachment` objects. These are to be rendered as AttatchmentParts to the SOAPMessage. For the Document Source, these will be the documents submitted. The Consumer query transaction does not use attachments. In this case, the parameter can be null.
    `uri` - the end URI destination of the SOAPMessage. This entity is assumed to have a SOAP interface and is able to generate a SOAPMessage in response.
  Returns:
    It is assumed, by XDS, that the SOAPMessage recieved in response will be contained as part of the SOAPBody. The contents of the SOAPBody are returned to the Source or Consumer as a DOM Element for further processing.
  Throws:
    `java.lang.Exception`
  See Also:
    `org.eclipse.ohf.ihe.xds.soap.XDSSoapClient#send(java.lang.String, org.eclipse.ohf.ihe.xds.soap.SoapAttachment[], java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD